net.minecraft.enchantment

## Class EnchantmentHelper

- java.lang.Object
- - net.minecraft.enchantment.EnchantmentHelper

-     public class EnchantmentHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnchantmentHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ItemStack` | `addRandomEnchantment(java.util.Random par0Random, ItemStack par1ItemStack, int par2)`
    `static java.util.List` | `buildEnchantmentList(java.util.Random par0Random, ItemStack par1ItemStack, int par2)`
    `static int` | `calcItemStackEnchantability(java.util.Random par0Random, int par1, int par2, ItemStack par3ItemStack)`
    `static void` | `func_151384_a(EntityLivingBase p_151384_0_, Entity p_151384_1_)`
    `static void` | `func_151385_b(EntityLivingBase p_151385_0_, Entity p_151385_1_)`
    `static int` | `func_151386_g(EntityLivingBase p_151386_0_)`
    `static int` | `func_151387_h(EntityLivingBase p_151387_0_)`
    `static ItemStack` | `func_92099_a(Enchantment par0Enchantment, EntityLivingBase par1EntityLivingBase)`
    `static boolean` | `getAquaAffinityModifier(EntityLivingBase par0EntityLivingBase)`
    `static int` | `getEfficiencyModifier(EntityLivingBase par0EntityLivingBase)`
    `static int` | `getEnchantmentLevel(int par0, ItemStack par1ItemStack)`
    `static int` | `getEnchantmentModifierDamage(ItemStack[] par0ArrayOfItemStack, DamageSource par1DamageSource)`
    `static float` | `getEnchantmentModifierLiving(EntityLivingBase par0EntityLivingBase, EntityLivingBase par1EntityLivingBase)`
    `static java.util.Map` | `getEnchantments(ItemStack par0ItemStack)`
    `static int` | `getFireAspectModifier(EntityLivingBase par0EntityLivingBase)`
    `static int` | `getFortuneModifier(EntityLivingBase par0EntityLivingBase)`
    `static int` | `getKnockbackModifier(EntityLivingBase par0EntityLivingBase, EntityLivingBase par1EntityLivingBase)`
    `static int` | `getLootingModifier(EntityLivingBase par0EntityLivingBase)`
    `static int` | `getMaxEnchantmentLevel(int par0, ItemStack[] par1ArrayOfItemStack)`
    `static int` | `getRespiration(EntityLivingBase par0EntityLivingBase)`
    `static boolean` | `getSilkTouchModifier(EntityLivingBase par0EntityLivingBase)`
    `static java.util.Map` | `mapEnchantmentData(int par0, ItemStack par1ItemStack)`
    `static void` | `setEnchantments(java.util.Map par0Map, ItemStack par1ItemStack)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnchantmentHelper

          public EnchantmentHelper()

  - ### Method Detail

    - #### getEnchantmentLevel

          public static int getEnchantmentLevel(int par0,
                                ItemStack par1ItemStack)

    - #### getEnchantments

          public static java.util.Map getEnchantments(ItemStack par0ItemStack)

    - #### setEnchantments

          public static void setEnchantments(java.util.Map par0Map,
                             ItemStack par1ItemStack)

    - #### getMaxEnchantmentLevel

          public static int getMaxEnchantmentLevel(int par0,
                                   ItemStack[] par1ArrayOfItemStack)

    - #### getEnchantmentModifierDamage

          public static int getEnchantmentModifierDamage(ItemStack[] par0ArrayOfItemStack,
                                         DamageSource par1DamageSource)

    - #### getEnchantmentModifierLiving

          public static float getEnchantmentModifierLiving(EntityLivingBase par0EntityLivingBase,
                                           EntityLivingBase par1EntityLivingBase)

    - #### func_151384_a

          public static void func_151384_a(EntityLivingBase p_151384_0_,
                           Entity p_151384_1_)

    - #### func_151385_b

          public static void func_151385_b(EntityLivingBase p_151385_0_,
                           Entity p_151385_1_)

    - #### getKnockbackModifier

          public static int getKnockbackModifier(EntityLivingBase par0EntityLivingBase,
                                 EntityLivingBase par1EntityLivingBase)

    - #### getFireAspectModifier

          public static int getFireAspectModifier(EntityLivingBase par0EntityLivingBase)

    - #### getRespiration

          public static int getRespiration(EntityLivingBase par0EntityLivingBase)

    - #### getEfficiencyModifier

          public static int getEfficiencyModifier(EntityLivingBase par0EntityLivingBase)

    - #### getSilkTouchModifier

          public static boolean getSilkTouchModifier(EntityLivingBase par0EntityLivingBase)

    - #### getFortuneModifier

          public static int getFortuneModifier(EntityLivingBase par0EntityLivingBase)

    - #### func_151386_g

          public static int func_151386_g(EntityLivingBase p_151386_0_)

    - #### func_151387_h

          public static int func_151387_h(EntityLivingBase p_151387_0_)

    - #### getLootingModifier

          public static int getLootingModifier(EntityLivingBase par0EntityLivingBase)

    - #### getAquaAffinityModifier

          public static boolean getAquaAffinityModifier(EntityLivingBase par0EntityLivingBase)

    - #### func_92099_a

          public static ItemStack func_92099_a(Enchantment par0Enchantment,
                               EntityLivingBase par1EntityLivingBase)

    - #### calcItemStackEnchantability

          public static int calcItemStackEnchantability(java.util.Random par0Random,
                                        int par1,
                                        int par2,
                                        ItemStack par3ItemStack)

    - #### addRandomEnchantment

          public static ItemStack addRandomEnchantment(java.util.Random par0Random,
                                       ItemStack par1ItemStack,
                                       int par2)

    - #### buildEnchantmentList

          public static java.util.List buildEnchantmentList(java.util.Random par0Random,
                                            ItemStack par1ItemStack,
                                            int par2)

    - #### mapEnchantmentData

          public static java.util.Map mapEnchantmentData(int par0,
                                         ItemStack par1ItemStack)